<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
>
<f:view contracts="#{templateBean.contract}">
    <ui:composition template="/template.xhtml">
        <ui:define name="header">
            <f:metadata>
                <f:viewParam name="page" value="#{detailController.panelType}"/>
                <f:viewAction action="#{detailController.checkPage()}"/>
            </f:metadata>
        </ui:define>
        <ui:define name="content">
            <ui:include src="#{detailController.pagePath}"/>
        </ui:define>
    </ui:composition>
</f:view>
</html>
